# typeface.py
# By Chris Proctor and _________

# Contains one function for each letter in the English alphabet. 
# Each function should draw its letter at a scale of `unit`, and then 
# return back to the same position and heading where it started. 

# Note: The `sqrt` function from math may be helpful--if you want to 
# move the turtle along the diagonal of a square with side length x, 
# the turtle should move a distance of sqrt(x)

from turtle import *
from math import sqrt
def fly(dist):
    penup()
    forward(dist)
    pendown()

def returnToHome(size):
    right(90)
    fly(size)
    right(180)
    

def draw_letter_a(unit):
    angleOne = 82.8749836511
    angleTwo = 7.1250153489
    fly(unit * 2)
    forward(unit * 1.5)
    left(angleOne)
    forward(unit * sqrt(4.25))
    right(angleOne)
    forward(unit * .5)
    right(angleOne)
    forward(unit * sqrt(4.25))
    left(angleOne)
    forward(unit * 1.5)
    left(90 + angleTwo)
    forward(unit * sqrt(65))
    left(angleOne + 90)
    fly(unit * 1.5)
    right(90)
    fly(unit * .875)
    forward(unit * 0.25)
    left(angleOne)
    forward(unit * sqrt(9.140625))
    left(90 + angleTwo)
    forward(unit)
    left(90 + angleTwo)
    forward(unit * sqrt(9.140625))
    right(90 + angleTwo)
    fly(unit * .875)
    left(90)
    fly(unit * 1.5)
    left(90)
    forward(unit * 2)
    left(angleOne)
    forward(unit * sqrt(65))
    left(angleTwo)
    returnToHome(unit * 2)

    




def draw_letter_b(unit):
    pass

def draw_letter_c(unit):
    pass

def draw_letter_d(unit):
    pass

def draw_letter_e(unit):
    pass

def draw_letter_f(unit):
    pass

def draw_letter_g(unit):
    pass

def draw_letter_h(unit):
    pass

def draw_letter_i(unit):
    fly(unit * 3.125)
    forward(unit * 1.75)
    left(90)
    forward(unit * 4)
    left(90)
    forward(unit * 0.875)
    right(90)
    fly(unit)
    right(90)
    circle(unit * .875)
    right(90)
    fly(unit)
    right(90)
    forward(unit * .875)
    left(90)
    forward(unit * 4)
    returnToHome(unit * 3.125)


def draw_letter_j(unit):
    pass

def draw_letter_k(unit):
    pass

def draw_letter_l(unit):
    pass

def draw_letter_m(unit):
    pass

def draw_letter_n(unit):
    def draw_n_half(unit):
        forward(unit * 1.5)
        left(90)
        forward(unit * 3.5)
        right(164.054604)
        forward(unit * sqrt(13.25))
        left(74.054604)
        forward(unit * 1.5)
        left(90)
        forward(unit *8)

    fly(unit * 2)
    draw_n_half(unit)  
    left(90)  
    draw_n_half(unit)
    returnToHome(unit * 2)


def draw_letter_o(unit):
    pass

def draw_letter_p(unit):
    pass

def draw_letter_q(unit):
    pass

def draw_letter_r(unit):
    fly(unit * 2)
    forward(unit * 1.5)
    left(90)
    forward(unit * 3.5)
    right(135)
    forward(unit * sqrt(2))
    right(45)
    forward(unit * 2.5)
    left(90)
    forward(unit * 1.5)
    left(90)
    forward(unit * 2.5)
    left(45)
    forward(unit * sqrt(2))
    right(90)
    forward(unit * sqrt(2))
    left(45)
    forward(unit * 2.5)
    left(45)
    forward(unit * sqrt(2))
    left(45)
    forward(unit * 3)
    left(135)
    fly(unit * 1.5 * sqrt(2))
    right(45)
    forward(unit * 1.5)
    left(90)
    forward(unit * .5)
    left(45)
    forward(unit * sqrt(2) * .5)
    left(45)
    forward(unit * .5)
    left(45)
    forward(unit* sqrt(2)*.5)
    left(45)
    forward(unit * .5)
    right(45)
    fly(unit * 1.5 * sqrt(2))
    left(135)
    forward(unit * 8)
    returnToHome(unit * 2)




def draw_letter_s(unit):
    pass

def draw_letter_t(unit):
    pass

def draw_letter_u(unit):
    pass

def draw_letter_v(unit):
    pass

def draw_letter_w(unit):
    pass

def draw_letter_x(unit):
    pass

def draw_letter_y(unit):
    pass

def draw_letter_z(unit):
    pass
